diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/tap-bridge/model/tap-bridge.h ns-3.44/src/tap-bridge/model/tap-bridge.h
--- ns-3.43/src/tap-bridge/model/tap-bridge.h	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/tap-bridge/model/tap-bridge.h	2025-03-09 16:55:49.703372200 -0700
@@ -26,7 +26,7 @@
 {
 
 /**
- * \ingroup tap-bridge
+ * @ingroup tap-bridge
  * Class to perform the actual reading from a socket
  */
 class TapBridgeFdReader : public FdReader
@@ -38,9 +38,9 @@
 class Node;
 
 /**
- * \ingroup tap-bridge
+ * @ingroup tap-bridge
  *
- * \brief A bridge to make it appear that a real host process is connected to
+ * @brief A bridge to make it appear that a real host process is connected to
  * an ns-3 net device.
  *
  * The Tap Bridge lives in a kind of a gray world somewhere between a
@@ -98,8 +98,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -119,30 +119,30 @@
     ~TapBridge() override;
 
     /**
-     * \brief Get the bridged net device.
+     * @brief Get the bridged net device.
      *
      * The bridged net device is the ns-3 device to which this bridge is connected,
      *
-     * \returns the bridged net device.
+     * @returns the bridged net device.
      */
     Ptr<NetDevice> GetBridgedNetDevice();
 
     /**
-     * \brief Set the ns-3 net device to bridge.
+     * @brief Set the ns-3 net device to bridge.
      *
      * This method tells the bridge which ns-3 net device it should use to connect
      * the simulation side of the bridge.
      *
-     * \param bridgedDevice device to set
+     * @param bridgedDevice device to set
      *
-     * \attention The ns-3 net device that is being set as the device must have an
+     * @attention The ns-3 net device that is being set as the device must have an
      * an IP address assigned to it before the simulation is run.  This address
      * will be used to set the hardware address of the host Linux device.
      */
     void SetBridgedNetDevice(Ptr<NetDevice> bridgedDevice);
 
     /**
-     * \brief Set a start time for the device.
+     * @brief Set a start time for the device.
      *
      * The tap bridge consumes a non-trivial amount of time to start.  It starts
      * up in the context of a scheduled event to ensure that all configuration
@@ -151,7 +151,7 @@
      * herd of devices, the time at which each device starts is also configurable
      * bot via the Attribute system and via this call.
      *
-     * \param tStart the start time
+     * @param tStart the start time
      */
     void Start(Time tStart);
 
@@ -160,21 +160,21 @@
      *
      * @param tStop the stop time
      *
-     * \see TapBridge::Start
+     * @see TapBridge::Start
      */
     void Stop(Time tStop);
 
     /**
      * Set the operating mode of this device.
      *
-     * \param mode The operating mode of this device.
+     * @param mode The operating mode of this device.
      */
     void SetMode(TapBridge::Mode mode);
 
     /**
      * Get the operating mode of this device.
      *
-     * \returns The operating mode of this device.
+     * @returns The operating mode of this device.
      */
     TapBridge::Mode GetMode();
 
@@ -221,13 +221,13 @@
 
     /**
      * Receives a packet from a bridged Device
-     * \param device the originating port
-     * \param packet the received packet
-     * \param protocol the packet protocol (e.g., Ethertype)
-     * \param src the packet source
-     * \param dst the packet destination
-     * \param packetType the packet type (e.g., host, broadcast, etc.)
-     * \returns true on success
+     * @param device the originating port
+     * @param packet the received packet
+     * @param protocol the packet protocol (e.g., Ethertype)
+     * @param src the packet source
+     * @param dst the packet destination
+     * @param packetType the packet type (e.g., host, broadcast, etc.)
+     * @returns true on success
      */
     bool ReceiveFromBridgedDevice(Ptr<NetDevice> device,
                                   Ptr<const Packet> packet,
@@ -238,11 +238,11 @@
 
     /**
      * Receives a packet from a bridged Device
-     * \param device the originating port
-     * \param packet the received packet
-     * \param protocol the packet protocol (e.g., Ethertype)
-     * \param src the packet source
-     * \returns true on success
+     * @param device the originating port
+     * @param packet the received packet
+     * @param protocol the packet protocol (e.g., Ethertype)
+     * @param src the packet source
+     * @returns true on success
      */
     bool DiscardFromBridgedDevice(Ptr<NetDevice> device,
                                   Ptr<const Packet> packet,
@@ -270,8 +270,8 @@
 
     /**
      * Callback to process packets that are read
-     * \param buf input buffer
-     * \param len input buffer length
+     * @param buf input buffer
+     * @param len input buffer length
      */
     void ReadCallback(uint8_t* buf, ssize_t len);
 
@@ -279,9 +279,9 @@
      * Forward a packet received from the tap device to the bridged ns-3
      * device
      *
-     * \param buf A character buffer containing the actual packet bits that were
+     * @param buf A character buffer containing the actual packet bits that were
      *            received from the host.
-     * \param len The length of the buffer.
+     * @param len The length of the buffer.
      */
     void ForwardToBridgedDevice(uint8_t* buf, ssize_t len);
 
@@ -290,19 +290,19 @@
      * checking on a received packet to make sure it isn't too evil for our
      * poor naive virginal simulator to handle.
      *
-     * \param packet The packet we received from the host, and which we need
+     * @param packet The packet we received from the host, and which we need
      *               to check.
-     * \param src    A pointer to the data structure that will get the source
+     * @param src    A pointer to the data structure that will get the source
      *               MAC address of the packet (extracted from the packet Ethernet
      *               header).
-     * \param dst    A pointer to the data structure that will get the destination
+     * @param dst    A pointer to the data structure that will get the destination
      *               MAC address of the packet (extracted from the packet Ethernet
      *               header).
-     * \param type   A pointer to the variable that will get the packet type from
+     * @param type   A pointer to the variable that will get the packet type from
      *               either the Ethernet header in the case of type interpretation
      *               (DIX framing) or from the 802.2 LLC header in the case of
      *               length interpretation (802.3 framing).
-     * \returns the packet, or null if the packet has been filtered.
+     * @returns the packet, or null if the packet has been filtered.
      */
     Ptr<Packet> Filter(Ptr<Packet> packet, Address* src, Address* dst, uint16_t* type);
 
@@ -401,7 +401,7 @@
     /**
      * The IP address to use as the device default gateway on the host.
      */
-    Ipv4Address m_tapGateway;
+    Ipv4Address m_tapGateway; // NS_DEPRECATED_3_44
 
     /**
      * The IP address to use as the device IP on the host.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/tap-bridge/model/tap-creator.cc ns-3.44/src/tap-bridge/model/tap-creator.cc
--- ns-3.43/src/tap-bridge/model/tap-creator.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/tap-bridge/model/tap-creator.cc	2025-03-09 16:55:49.703372200 -0700
@@ -189,12 +189,7 @@
 }
 
 static int
-CreateTap(const char* dev,
-          const char* gw,
-          const char* ip,
-          const char* mac,
-          const char* mode,
-          const char* netmask)
+CreateTap(const char* dev, const char* ip, const char* mac, const char* mode, const char* netmask)
 {
     //
     // Creation and management of Tap devices is done via the tun device
@@ -275,7 +270,6 @@
 {
     int c;
     char* dev = (char*)"";
-    char* gw = nullptr;
     char* ip = nullptr;
     char* mac = nullptr;
     char* netmask = nullptr;
@@ -284,16 +278,13 @@
 
     opterr = 0;
 
-    while ((c = getopt(argc, argv, "vd:g:i:m:n:o:p:")) != -1)
+    while ((c = getopt(argc, argv, "vd:i:m:n:o:p:")) != -1)
     {
         switch (c)
         {
         case 'd':
             dev = optarg; // name of the new tap device
             break;
-        case 'g':
-            gw = optarg; // gateway address for the new device
-            break;
         case 'i':
             ip = optarg; // ip address of the new device
             break;
@@ -324,14 +315,6 @@
     LOG("Provided Device Name is \"" << dev << "\"");
 
     //
-    // We have got to be able to provide a gateway to the external Linux host
-    // so it can talk to the ns-3 network.  This ip address is provided in
-    // gw.
-    //
-    ABORT_IF(gw == nullptr, "Gateway Address is a required argument", 0);
-    LOG("Provided Gateway Address is \"" << gw << "\"");
-
-    //
     // We have got to be able to assign an IP address to the tap device we are
     // allocating.  This address is allocated in the simulation and assigned to
     // the tap bridge.  This address is given in ip.
@@ -385,7 +368,7 @@
     // us to execute the following code:
     //
     LOG("Creating Tap");
-    int sock = CreateTap(dev, gw, ip, mac, operatingMode, netmask);
+    int sock = CreateTap(dev, ip, mac, operatingMode, netmask);
     ABORT_IF(sock == -1, "main(): Unable to create tap socket", 1);
 
     //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/tap-bridge/model/tap-encode-decode.cc ns-3.44/src/tap-bridge/model/tap-encode-decode.cc
--- ns-3.43/src/tap-bridge/model/tap-encode-decode.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/tap-bridge/model/tap-encode-decode.cc	2025-03-09 16:55:49.703372200 -0700
@@ -14,13 +14,13 @@
 {
 
 /**
- * \brief Convert a byte buffer to a string containing a hex representation
+ * @brief Convert a byte buffer to a string containing a hex representation
  * of the buffer.  Make the string pretty by adding a colon (':') between
  * the hex.
  *
- * \param buffer The input buffer to be converted.
- * \param len The length of the input buffer.
- * \returns A string containing a hex representation of the data in buffer.
+ * @param buffer The input buffer to be converted.
+ * @param len The length of the input buffer.
+ * @returns A string containing a hex representation of the data in buffer.
  */
 std::string
 TapBufferToString(uint8_t* buffer, uint32_t len)
@@ -44,13 +44,13 @@
 }
 
 /**
- * \brief Convert string encoded by the inverse function (TapBufferToString)
+ * @brief Convert string encoded by the inverse function (TapBufferToString)
  * back into a byte buffer.
  *
- * \param s The input string.
- * \param buffer The buffer to initialize with the converted bits.
- * \param len The length of the data that is valid in the buffer.
- * \returns True indicates a successful conversion.
+ * @param s The input string.
+ * @param buffer The buffer to initialize with the converted bits.
+ * @param len The length of the data that is valid in the buffer.
+ * @returns True indicates a successful conversion.
  */
 bool
 TapStringToBuffer(std::string s, uint8_t* buffer, uint32_t* len)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/test/csma-system-test-suite.cc ns-3.44/src/test/csma-system-test-suite.cc
--- ns-3.43/src/test/csma-system-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/test/csma-system-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -40,9 +40,9 @@
 using namespace ns3;
 
 /**
- * \ingroup system-tests-csma
+ * @ingroup system-tests-csma
  *
- * \brief CSMA Bridge mode test.
+ * @brief CSMA Bridge mode test.
  */
 class CsmaBridgeTestCase : public TestCase
 {
@@ -55,8 +55,8 @@
 
     /**
      * Sink called when a packet is received.
-     * \param p Received packet (unused).
-     * \param ad Sender's address (uused).
+     * @param p Received packet (unused).
+     * @param ad Sender's address (uused).
      */
     void SinkRx(Ptr<const Packet> p, const Address& ad);
     uint32_t m_count; //!< Counter of received packets.
@@ -137,13 +137,13 @@
     onoff.SetConstantRate(DataRate(5000));
 
     ApplicationContainer app = onoff.Install(terminals.Get(0));
-    app.Start(Seconds(1.0));
-    app.Stop(Seconds(10.0));
+    app.Start(Seconds(1));
+    app.Stop(Seconds(10));
 
     PacketSinkHelper sink("ns3::UdpSocketFactory",
                           Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     app = sink.Install(terminals.Get(1));
-    app.Start(Seconds(0.0));
+    app.Start(Seconds(0));
 
     // Trace receptions
     Config::ConnectWithoutContext("/NodeList/1/ApplicationList/0/$ns3::PacketSink/Rx",
@@ -157,9 +157,9 @@
 }
 
 /**
- * \ingroup system-tests-csma
+ * @ingroup system-tests-csma
  *
- * \brief CSMA Broadcast mode test.
+ * @brief CSMA Broadcast mode test.
  */
 class CsmaBroadcastTestCase : public TestCase
 {
@@ -172,8 +172,8 @@
 
     /**
      * Sink called when a packet is received by a node.
-     * \param p Received packet (unused).
-     * \param ad Sender's address (uused).
+     * @param p Received packet (unused).
+     * @param ad Sender's address (uused).
      * @{
      */
     void SinkRxNode1(Ptr<const Packet> p, const Address& ad);
@@ -182,7 +182,7 @@
 
     /**
      * Sink called when a packet is dropped.
-     * \param p Received packet (unused).
+     * @param p Received packet (unused).
      */
     void DropEvent(Ptr<const Packet> p);
 
@@ -274,16 +274,16 @@
 
     ApplicationContainer app = onoff.Install(c0.Get(0));
     // Start the application
-    app.Start(Seconds(1.0));
-    app.Stop(Seconds(10.0));
+    app.Start(Seconds(1));
+    app.Stop(Seconds(10));
 
     // Create an optional packet sink to receive these packets
     PacketSinkHelper sink("ns3::UdpSocketFactory",
                           Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     app = sink.Install(c0.Get(1));
     app.Add(sink.Install(c1.Get(1)));
-    app.Start(Seconds(1.0));
-    app.Stop(Seconds(10.0));
+    app.Start(Seconds(1));
+    app.Stop(Seconds(10));
 
     // Trace receptions
     Config::ConnectWithoutContext("/NodeList/1/ApplicationList/0/$ns3::PacketSink/Rx",
@@ -300,9 +300,9 @@
 }
 
 /**
- * \ingroup system-tests-csma
+ * @ingroup system-tests-csma
  *
- * \brief CSMA Multicast mode test.
+ * @brief CSMA Multicast mode test.
  */
 class CsmaMulticastTestCase : public TestCase
 {
@@ -315,14 +315,14 @@
 
     /**
      * Sink called when a packet is received by a node.
-     * \param p Received packet (unused).
-     * \param ad Sender's address (uused).
+     * @param p Received packet (unused).
+     * @param ad Sender's address (uused).
      */
     void SinkRx(Ptr<const Packet> p, const Address& ad);
 
     /**
      * Sink called when a packet is dropped.
-     * \param p Received packet (unused).
+     * @param p Received packet (unused).
      */
     void DropEvent(Ptr<const Packet> p);
 
@@ -465,8 +465,8 @@
 
     ApplicationContainer sinkC = sink.Install(c1.Get(2)); // Node n4
     // Start the sink
-    sinkC.Start(Seconds(1.0));
-    sinkC.Stop(Seconds(10.0));
+    sinkC.Start(Seconds(1));
+    sinkC.Stop(Seconds(10));
 
     // Trace receptions
     Config::ConnectWithoutContext("/NodeList/4/ApplicationList/0/$ns3::PacketSink/Rx",
@@ -483,9 +483,9 @@
 }
 
 /**
- * \ingroup system-tests-csma
+ * @ingroup system-tests-csma
  *
- * \brief CSMA One Subnet mode test.
+ * @brief CSMA One Subnet mode test.
  */
 class CsmaOneSubnetTestCase : public TestCase
 {
@@ -498,8 +498,8 @@
 
     /**
      * Sink called when a packet is received by a node.
-     * \param p Received packet (unused).
-     * \param ad Sender's address (uused).
+     * @param p Received packet (unused).
+     * @param ad Sender's address (uused).
      * @{
      */
     void SinkRxNode0(Ptr<const Packet> p, const Address& ad);
@@ -508,7 +508,7 @@
 
     /**
      * Sink called when a packet is dropped.
-     * \param p Received packet (unused).
+     * @param p Received packet (unused).
      */
     void DropEvent(Ptr<const Packet> p);
     uint32_t m_countNode0; //!< Counter of received packets on node 0.
@@ -595,14 +595,14 @@
 
     ApplicationContainer app = onoff.Install(nodes.Get(0));
     // Start the application
-    app.Start(Seconds(1.0));
-    app.Stop(Seconds(10.0));
+    app.Start(Seconds(1));
+    app.Stop(Seconds(10));
 
     // Create an optional packet sink to receive these packets
     PacketSinkHelper sink("ns3::UdpSocketFactory",
                           Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     app = sink.Install(nodes.Get(1));
-    app.Start(Seconds(0.0));
+    app.Start(Seconds(0));
 
     //
     // Create a similar flow from n3 to n0, starting at time 1.1 seconds
@@ -610,10 +610,10 @@
     onoff.SetAttribute("Remote", AddressValue(InetSocketAddress(interfaces.GetAddress(0), port)));
     app = onoff.Install(nodes.Get(3));
     app.Start(Seconds(1.1));
-    app.Stop(Seconds(10.0));
+    app.Stop(Seconds(10));
 
     app = sink.Install(nodes.Get(0));
-    app.Start(Seconds(0.0));
+    app.Start(Seconds(0));
 
     // Trace receptions
     Config::ConnectWithoutContext("/NodeList/0/ApplicationList/1/$ns3::PacketSink/Rx",
@@ -633,9 +633,9 @@
 }
 
 /**
- * \ingroup system-tests-csma
+ * @ingroup system-tests-csma
  *
- * \brief CSMA PacketSocket test.
+ * @brief CSMA PacketSocket test.
  */
 class CsmaPacketSocketTestCase : public TestCase
 {
@@ -647,15 +647,15 @@
     void DoRun() override;
     /**
      * Sink called when a packet is received by a node.
-     * \param path Sink path.
-     * \param p Received packet (unused).
-     * \param ad Sender's address (uused).
+     * @param path Sink path.
+     * @param p Received packet (unused).
+     * @param ad Sender's address (uused).
      */
     void SinkRx(std::string path, Ptr<const Packet> p, const Address& ad);
 
     /**
      * Sink called when a packet is dropped.
-     * \param p Received packet (unused).
+     * @param p Received packet (unused).
      */
     void DropEvent(Ptr<const Packet> p);
 
@@ -731,21 +731,21 @@
     OnOffHelper onoff("ns3::PacketSocketFactory", Address(socket));
     onoff.SetConstantRate(DataRate(5000));
     ApplicationContainer apps = onoff.Install(nodes.Get(0));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     socket.SetSingleDevice(devs.Get(3)->GetIfIndex());
     socket.SetPhysicalAddress(devs.Get(0)->GetAddress());
     socket.SetProtocol(3);
     onoff.SetAttribute("Remote", AddressValue(socket));
     apps = onoff.Install(nodes.Get(3));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     PacketSinkHelper sink = PacketSinkHelper("ns3::PacketSocketFactory", socket);
     apps = sink.Install(nodes.Get(0));
-    apps.Start(Seconds(0.0));
-    apps.Stop(Seconds(20.0));
+    apps.Start(Seconds(0));
+    apps.Stop(Seconds(20));
 
     // Trace receptions
     Config::Connect("/NodeList/0/ApplicationList/*/$ns3::PacketSink/Rx",
@@ -759,9 +759,9 @@
 }
 
 /**
- * \ingroup system-tests-csma
+ * @ingroup system-tests-csma
  *
- * \brief CSMA PING test.
+ * @brief CSMA PING test.
  */
 class CsmaPingTestCase : public TestCase
 {
@@ -864,13 +864,13 @@
     onoff.SetConstantRate(DataRate(5000));
 
     ApplicationContainer apps = onoff.Install(c.Get(0));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     PacketSinkHelper sink = PacketSinkHelper("ns3::Ipv4RawSocketFactory", dst);
     apps = sink.Install(c.Get(3));
-    apps.Start(Seconds(0.0));
-    apps.Stop(Seconds(11.0));
+    apps.Start(Seconds(0));
+    apps.Stop(Seconds(11));
 
     PingHelper ping(addresses.GetAddress(2));
     NodeContainer pingers;
@@ -878,8 +878,8 @@
     pingers.Add(c.Get(1));
     pingers.Add(c.Get(3));
     apps = ping.Install(pingers);
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(5.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(5));
 
     // Trace receptions
     Config::ConnectWithoutContext("/NodeList/3/ApplicationList/0/$ns3::PacketSink/Rx",
@@ -900,9 +900,9 @@
 }
 
 /**
- * \ingroup system-tests-csma
+ * @ingroup system-tests-csma
  *
- * \brief CSMA Raw IP test.
+ * @brief CSMA Raw IP test.
  */
 class CsmaRawIpSocketTestCase : public TestCase
 {
@@ -915,14 +915,14 @@
 
     /**
      * Sink called when a packet is received by a node.
-     * \param p Received packet (unused).
-     * \param ad Sender's address (uused).
+     * @param p Received packet (unused).
+     * @param ad Sender's address (uused).
      */
     void SinkRx(Ptr<const Packet> p, const Address& ad);
 
     /**
      * Sink called when a packet is dropped.
-     * \param p Received packet (unused).
+     * @param p Received packet (unused).
      */
     void DropEvent(Ptr<const Packet> p);
 
@@ -998,13 +998,13 @@
     onoff.SetConstantRate(DataRate(5000));
 
     ApplicationContainer apps = onoff.Install(c.Get(0));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     PacketSinkHelper sink = PacketSinkHelper("ns3::Ipv4RawSocketFactory", dst);
     apps = sink.Install(c.Get(3));
-    apps.Start(Seconds(0.0));
-    apps.Stop(Seconds(12.0));
+    apps.Start(Seconds(0));
+    apps.Stop(Seconds(12));
 
     // Trace receptions
     Config::ConnectWithoutContext("/NodeList/3/ApplicationList/0/$ns3::PacketSink/Rx",
@@ -1018,9 +1018,9 @@
 }
 
 /**
- * \ingroup system-tests-csma
+ * @ingroup system-tests-csma
  *
- * \brief CSMA star mode test.
+ * @brief CSMA star mode test.
  */
 class CsmaStarTestCase : public TestCase
 {
@@ -1033,14 +1033,14 @@
 
     /**
      * Sink called when a packet is received by a node.
-     * \param p Received packet (unused).
-     * \param ad Sender's address (uused).
+     * @param p Received packet (unused).
+     * @param ad Sender's address (uused).
      */
     void SinkRx(Ptr<const Packet> p, const Address& ad);
 
     /**
      * Sink called when a packet is dropped.
-     * \param p Received packet (unused).
+     * @param p Received packet (unused).
      */
     void DropEvent(Ptr<const Packet> p);
 
@@ -1158,8 +1158,8 @@
     Address hubLocalAddress(InetSocketAddress(Ipv4Address::GetAny(), port));
     PacketSinkHelper packetSinkHelper("ns3::TcpSocketFactory", hubLocalAddress);
     ApplicationContainer hubApp = packetSinkHelper.Install(star.GetHub());
-    hubApp.Start(Seconds(1.0));
-    hubApp.Stop(Seconds(10.0));
+    hubApp.Start(Seconds(1));
+    hubApp.Stop(Seconds(10));
 
     //
     // Create OnOff applications to send TCP to the hub, one on each spoke node.
@@ -1178,8 +1178,8 @@
         spokeApps.Add(onOffHelper.Install(star.GetSpokeNode(i)));
     }
 
-    spokeApps.Start(Seconds(1.0));
-    spokeApps.Stop(Seconds(10.0));
+    spokeApps.Start(Seconds(1));
+    spokeApps.Stop(Seconds(10));
 
     //
     // Because we are evil, we also add OnOff applications to send TCP to the hub
@@ -1198,8 +1198,8 @@
         fillApps.Add(onOffHelper.Install(fillNodes.Get(i)));
     }
 
-    fillApps.Start(Seconds(1.0));
-    fillApps.Stop(Seconds(10.0));
+    fillApps.Start(Seconds(1));
+    fillApps.Stop(Seconds(10));
 
     //
     // Turn on global static routing so we can actually be routed across the star.
@@ -1221,9 +1221,9 @@
 }
 
 /**
- * \ingroup system-tests-csma
+ * @ingroup system-tests-csma
  *
- * \brief CSMA TestSuite.
+ * @brief CSMA TestSuite.
  */
 class CsmaSystemTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/test/doc/tests.h ns-3.44/src/test/doc/tests.h
--- ns-3.43/src/test/doc/tests.h	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/test/doc/tests.h	2025-03-09 16:55:49.703372200 -0700
@@ -3,16 +3,16 @@
  */
 
 /**
- * \file
- * \ingroup tests
+ * @file
+ * @ingroup tests
  * This file provides some doxygen documentation for the tests module.
  */
 
 /**
- * \ingroup tests
- * \defgroup system-tests System Tests
+ * @ingroup tests
+ * @defgroup system-tests System Tests
  *
- * \brief The "tests" module contains the System Tests, i.e., tests that
+ * @brief The "tests" module contains the System Tests, i.e., tests that
  * dependss on multiple modules. Due to their dependencies, the System Tests
  * are in this module.
  *
@@ -20,34 +20,34 @@
  */
 
 /**
- * \ingroup system-tests
- * \ingroup traffic-control-test
- * \defgroup system-tests-tc TrafficControl System Tests
+ * @ingroup system-tests
+ * @ingroup traffic-control-test
+ * @defgroup system-tests-tc TrafficControl System Tests
  *
- * \brief TrafficControl System Tests
+ * @brief TrafficControl System Tests
  */
 
 /**
- * \ingroup system-tests
- * \ingroup internet-test
- * \defgroup system-tests-tcp TCP System Tests
+ * @ingroup system-tests
+ * @ingroup internet-test
+ * @defgroup system-tests-tcp TCP System Tests
  *
- * \brief TCP System Tests
+ * @brief TCP System Tests
  */
 
 /**
- * \ingroup system-tests
- * \ingroup wifi-test
- * \defgroup system-tests-wifi WiFi System Tests
+ * @ingroup system-tests
+ * @ingroup wifi-test
+ * @defgroup system-tests-wifi WiFi System Tests
  *
- * \brief WiFi System Tests
+ * @brief WiFi System Tests
  */
 
 /**
- * \ingroup system-tests
- * \defgroup system-tests-perf Performance System Tests
+ * @ingroup system-tests
+ * @defgroup system-tests-perf Performance System Tests
  *
- * \brief Performance System Tests
+ * @brief Performance System Tests
  *
  * Note: these tests are (for real) scripts to be run.
  * The output is the time (in nanoseconds) that the test
@@ -55,17 +55,17 @@
  */
 
 /**
- * \ingroup system-tests
- * \ingroup core-tests
- * \defgroup system-tests-traced TracedCallback System Tests
+ * @ingroup system-tests
+ * @ingroup core-tests
+ * @defgroup system-tests-traced TracedCallback System Tests
  *
- * \brief TracedCallback System Tests
+ * @brief TracedCallback System Tests
  */
 
 /**
- * \ingroup system-tests
- * \ingroup csma
- * \defgroup system-tests-csma CSMA System Tests
+ * @ingroup system-tests
+ * @ingroup csma
+ * @defgroup system-tests-csma CSMA System Tests
  *
- * \brief CSMA System Tests
+ * @brief CSMA System Tests
  */
